<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('waternewconnections', function (Blueprint $table) {
            //
            $table->string('road_repair_type')->nullable()->after('water_connection_sub_use');
            $table->string('road_repair_length')->nullable()->after('road_repair_type');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('waternewconnections', function (Blueprint $table) {
            //
            $table->dropColumn('road_repair_type');
            $table->dropColumn('road_repair_length');
        });
    }
};
